using AidA.Data.ViewModel;
using AidA.Service.Anonymization;
using DevExpress.Xpf.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;


namespace AidA.View
{
    /// <summary>
    /// Interaction logic for AnonymisierungslaufVorbereitenWindow.xaml
    /// </summary>
    public partial class AnonymisierungslaufVorbereitenWindow : ThemedWindow
    {
        public AnonymisierungslaufVorbereitenWindow()
        {
            InitializeComponent();
        }

        private void AbbrechenButton_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void VorbereitenButton_Click(object sender, RoutedEventArgs e)
        {
            VorbereitungProgressbar.Visibility = Visibility.Visible;
            MainController.AnonymisierungslaufVorbereiten2(Int32.Parse(TextEditAufbewahrungsfrist.Text), VorbereitungProgressbar);

            this.Close();
        }
    }
}
